Ubuntu

[Karmic] softmodem-opened /dev/snd/pcm* cause "pulseaudio: card not found - Null Output / Dummy Output"

Reported by Adam Klobukowski on 2009-07-01
266
This bug affects 44 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Low
Unassigned
Declined for Karmic by Daniel T Chen

Bug Description

Binary package hint: pulseaudio

Pulseaudio can't find working alsa sound cards on bootup.
"alsa force-reload" after login remedies the problems until next reboot.
Comments 40,41,42 propose a workaround - disabling sl-modem.

Old summary:

Pulseaudio sudenly can't find my sound card.

$ pulseaudio --version
pulseaudio 0.9.15

$ pulseaudio -vvvv
D: main.c: Started as real root: no, suid root: yes
I: main.c: We're in the group 'pulse-rt', allowing high-priority scheduling.
I: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
I: core-util.c: Successfully gained nice level -11.
D: main.c: Can realtime: yes, can high-priority: yes
I: main.c: Giving up CAP_NICE
D: main.c: Can realtime: no, can high-priority: no
I: main.c: This is PulseAudio 0.9.15
D: main.c: Compilation host: i486-pc-linux-gnu
D: main.c: Compilation CFLAGS: -g -O2 -g -Wall -O3 -Wall -W -Wextra -pipe -Wno-long-long -Winline -Wvla -Wno-overlength-strings -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wold-style-definition -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing=2 -Wwrite-strings -Wno-unused-parameter -ffast-math -Wp,-D_FORTIFY_SOURCE=2 -fno-common -fdiagnostics-show-option
D: main.c: Running on host: Linux i686 2.6.30-10-generic #12-Ubuntu SMP Mon Jun 22 16:30:39 UTC 2009
D: main.c: Found 4 CPUs.
I: main.c: Page size is 4096 bytes
D: main.c: Compiled with Valgrind support: no
D: main.c: Running in valgrind mode: no
D: main.c: Optimized build: yes
D: main.c: All asserts enabled.
I: main.c: Machine ID is d482d29399558086483340564973600a.
I: main.c: Session ID is d482d29399558086483340564973600a-1246424526.595472-821812929.
I: main.c: Using runtime directory /home/adamk/.pulse/d482d29399558086483340564973600a:runtime.
I: main.c: Using state directory /home/adamk/.pulse.
I: main.c: Running in system mode: no
I: main.c: Fresh high-resolution timers available! Bon appetit!
D: rtclock.c: Timer slack is set to 50 us.
D: memblock.c: Using shared memory pool with 1024 slots of size 64,0 KiB each, total size is 64,0 MiB, maximum usable slot size is 65496
I: module.c: Loaded "module-suspend-on-idle" (index: #0; argument: "").
I: module-device-restore.c: Sucessfully opened database file '/home/adamk/.pulse/d482d29399558086483340564973600a:device-volumes.i486-pc-linux-gnu.gdbm'.
I: module.c: Loaded "module-device-restore" (index: #1; argument: "").
I: module-stream-restore.c: Sucessfully opened database file '/home/adamk/.pulse/d482d29399558086483340564973600a:stream-volumes.i486-pc-linux-gnu.gdbm'.
I: module.c: Loaded "module-stream-restore" (index: #2; argument: "").
I: module-card-restore.c: Sucessfully opened database file '/home/adamk/.pulse/d482d29399558086483340564973600a:card-database.i486-pc-linux-gnu.gdbm'.
I: module.c: Loaded "module-card-restore" (index: #3; argument: "").
I: module.c: Loaded "module-augment-properties" (index: #4; argument: "").
D: cli-command.c: Checking for existance of '/usr/lib/pulse-0.9.15/modules/module-hal-detect.so': success
D: dbus-util.c: Successfully connected to D-Bus system bus cab3cb5790706bd4345920244a4aedb8 as :1.261
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/computer_alsa_timer
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/computer_alsa_sequencer
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_capture_2
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_playback_1
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_capture_1
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_playback_0
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_capture_0
D: module-hal-detect.c: Loading module-alsa-card with arguments 'device_id=0 name=pci_8086_293e_sound_card_0 card_name=alsa_card.pci_8086_293e_sound_card_0 tsched=0'
E: module-alsa-card.c: Card '0' doesn't exist: No such file or directory
E: module.c: Failed to load module "module-alsa-card" (argument: "device_id=0 name=pci_8086_293e_sound_card_0 card_name=alsa_card.pci_8086_293e_sound_card_0 tsched=0"): initialization failed.
D: module-hal-detect.c: Not loaded device /org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0_alsa_control__1

It worked ok before.

Make sure you have the very latest updates installed, as there was a permissions error that is fixed with the latest updates.

After update the problem is mysteriously gone the same mysterious way it appeared :)

I'll close the bug then.

 affects ubuntu/pulseaudio
 status invalid

Changed in pulseaudio (Ubuntu):
status: New → Invalid
Download full text (12.6 KiB)

I've just installed pulseaudio (1:0.9.16~test6-3-g57e1-0ubuntu1) on Karmic Alpha 4 and rebooted.
Now my sound output has gone...
When I open Sound Preferences I have the following under each tab:

- Hardware > Choose a device to configure: > (empty field)
- Input > Inpout volume > (Grayed out)
- Input > Choose a device for sound input: > (empty field)
- Output > Choose a device for sound output: > Null Output

My computer is a HP laptop, model DV9850EL.
_______________________________

This the output for "killall pulseaudio;pulseaudio -vvvv":

I: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
D: core-rtclock.c: Timer slack is set to 50 us.
I: core-util.c: Failed to acquire high-priority scheduling: Input/output error
I: main.c: This is PulseAudio 0.9.16-test6-3-g57e1
D: main.c: Compilation host: x86_64-pc-linux-gnu
D: main.c: Compilation CFLAGS: -g -O2 -g -Wall -O3 -Wall -W -Wextra -pipe -Wno-long-long -Winline -Wvla -Wno-overlength-strings -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wold-style-definition -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing=2 -Wwrite-strings -Wno-unused-parameter -ffast-math -Wp,-D_FORTIFY_SOURCE=2 -fno-common -fdiagnostics-show-option
D: main.c: Running on host: Linux x86_64 2.6.31-7-generic #27-Ubuntu SMP Mon Aug 24 19:18:31 UTC 2009
D: main.c: Found 2 CPUs.
I: main.c: Page size is 4096 bytes
D: main.c: Compiled with Valgrind support: no
D: main.c: Running in valgrind mode: no
D: main.c: Optimized build: yes
D: main.c: All asserts enabled.
I: main.c: Machine ID is d0369a60b29b784df7e93e194a87e78c.
I: main.c: Session ID is d0369a60b29b784df7e93e194a87e78c-1251274101.999419-862063398.
I: main.c: Using runtime directory /home/fab/.pulse/d0369a60b29b784df7e93e194a87e78c-runtime.
I: main.c: Using state directory /home/fab/.pulse.
I: main.c: Using modules directory /usr/lib/pulse-0.9.16/modules.
I: main.c: Running in system mode: no
I: main.c: Fresh high-resolution timers available! Bon appetit!
I: cpu-x86.c: CPU flags: MMX SSE SSE2 SSE3 SSSE3 SSE4_1
I: svolume_mmx.c: Initialising MMX optimized functions.
I: remap_mmx.c: Initialising MMX optimized remappers.
I: svolume_sse.c: Initialising SSE optimized functions.
D: memblock.c: Using shared memory pool with 1024 slots of size 64.0 KiB each, total size is 64.0 MiB, maximum usable slot size is 65472
I: module.c: Loaded "module-suspend-on-idle" (index: #0; argument: "").
D: database-tdb.c: Opened TDB database '/home/fab/.pulse/d0369a60b29b784df7e93e194a87e78c-device-volumes.tdb'
I: module-device-restore.c: Sucessfully opened database file '/home/fab/.pulse/d0369a60b29b784df7e93e194a87e78c-device-volumes'.
I: module.c: Loaded "module-device-restore" (index: #1; argument: "").
D: database-tdb.c: Opened TDB database '/home/fab/.pulse/d0369a60b29b784df7e93e194a87e78c-stream-volumes.tdb'
I: module-stream-r...

fab (fab-head) wrote :

Ops, I've just noticed that the bug has been marked as Invalid.

Have I posted this bug in the right place, or shall I post this as a new bug?
Apologies for any inconvenience this might have created.

Fab

Changed in pulseaudio (Ubuntu):
status: Invalid → New
Download full text (8.6 KiB)

Re-opened. Also in my laptop sound card is gone (alsa OK, pulseaudio only null output). Removing any .pulse in home and logging again does not help. Hardware works correctly using for example ogg123.

cat /proc/asound/cards
 0 [Intel ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xf8500000 irq 20

killall pulseaudio;pulseaudio -vvvv
I: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
D: core-rtclock.c: Timer slack is set to 50 us.
I: core-util.c: Failed to acquire high-priority scheduling: Input/output error
I: main.c: This is PulseAudio 0.9.16-test6-3-g57e1
D: main.c: Compilation host: x86_64-pc-linux-gnu
D: main.c: Compilation CFLAGS: -g -O2 -g -Wall -O3 -Wall -W -Wextra -pipe -Wno-long-long -Winline -Wvla -Wno-overlength-strings -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wold-style-definition -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing=2 -Wwrite-strings -Wno-unused-parameter -ffast-math -Wp,-D_FORTIFY_SOURCE=2 -fno-common -fdiagnostics-show-option
D: main.c: Running on host: Linux x86_64 2.6.31-7-generic #27-Ubuntu SMP Mon Aug 24 19:18:31 UTC 2009
D: main.c: Found 2 CPUs.
I: main.c: Page size is 4096 bytes
D: main.c: Compiled with Valgrind support: no
D: main.c: Running in valgrind mode: no
D: main.c: Optimized build: yes
D: main.c: All asserts enabled.
I: main.c: Machine ID is a01d5d4d863171a54bfe54c649c286df.
I: main.c: Session ID is a01d5d4d863171a54bfe54c649c286df-1251276710.491596-1640081598.
I: main.c: Using runtime directory /home/graziano/.pulse/a01d5d4d863171a54bfe54c649c286df-runtime.
I: main.c: Using state directory /home/graziano/.pulse.
I: main.c: Using modules directory /usr/lib/pulse-0.9.16/modules.
I: main.c: Running in system mode: no
I: main.c: Fresh high-resolution timers available! Bon appetit!
I: cpu-x86.c: CPU flags: MMX SSE SSE2 SSE3 SSSE3 SSE4_1
I: svolume_mmx.c: Initialising MMX optimized functions.
I: remap_mmx.c: Initialising MMX optimized remappers.
I: svolume_sse.c: Initialising SSE optimized functions.
D: memblock.c: Using shared memory pool with 1024 slots of size 64.0 KiB each, total size is 64.0 MiB, maximum usable slot size is 65472
I: module.c: Loaded "module-suspend-on-idle" (index: #0; argument: "").
D: database-tdb.c: Opened TDB database '/home/graziano/.pulse/a01d5d4d863171a54bfe54c649c286df-device-volumes.tdb'
I: module-device-restore.c: Sucessfully opened database file '/home/graziano/.pulse/a01d5d4d863171a54bfe54c649c286df-device-volumes'.
I: module.c: Loaded "module-device-restore" (index: #1; argument: "").
D: database-tdb.c: Opened TDB database '/home/graziano/.pulse/a01d5d4d863171a54bfe54c649c286df-stream-volumes.tdb'
I: module-stream-restore.c: Sucessfully opened database file '/home/graziano/.pulse/a01d5d4d863171a54bfe54c649c286df-stream-volumes'.
I: module.c: Loaded "module-stream-restore" (index:...

Read more...

Seems something related again to module-hal-detect. Forcing load-module alsa in default.pa gets back my soundcard.

fab (fab-head) wrote :

I've now tried to force load-module module-alsa-sink in default.pa as well
Sound playback is back again, but:

- Hardware > Choose a device to configure: > (empty field)
- Input > Input volume > (Grayed out)
- Input > Choose a device for sound input: > (empty field)
- Output > Choose a device for sound output: > dmix:0

ycomfort4 (ycomfort4) wrote :

I have the same problem. The only app that seems to avoid it is gnome-mplayer.

fab (fab-head) wrote :

I've now tried to connect a USB audio interface to my laptop, and it gets perfectly recognised.
Therefore the issue must be with the internal audio device (which used to work fine up to pulseaudio 1:0.9.16~test5).

Regarding my internal audio device, "cat /proc/asound/cards" returns the following message:

 0 [Intel ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xf8400000 irq 22

What can I do to get my internal audio device recognised?

Thanks

fab (fab-head) wrote :

I have also tried the latest update from https://launchpad.net/~ubuntu-audio-dev/+archive/ppa with no success...

fab (fab-head) wrote :

Update: I've just tested pulseaudio 1:0.9.16~test6-30-g300384-0ubuntu1 from the Ubuntu Audio Dev team PPA...

The internal soundcard (ALC268) is still not recognised.
The Output still says Null Output

fab (fab-head) on 2009-08-29
summary: - [karmic] pulseaudio: card not found
+ [karmic] pulseaudio: card not found - Null Output

On Sat, Aug 29, 2009 at 1:01 AM, Fabrizio Testa<email address hidden> wrote:
> + [karmic] pulseaudio: card not found - Null Output

Does your user have permission via PolicyKit or otherwise to access @audio?

I think I've found a temporary workaround (not a solution).

I've opened /etc/pulse/default.pa and commented 4 lines.

Before:

### Automatically load driver modules depending on the hardware available
.ifexists module-udev-detect.so
load-module module-udev-detect
.else
### Alternatively use the static hardware detection module (for systems that
### lack udev support)
load-module module-detect
.endif

After:

### Automatically load driver modules depending on the hardware available
#.ifexists module-udev-detect.so
#load-module module-udev-detect
#.else
### Alternatively use the static hardware detection module (for systems that
### lack udev support)
load-module module-detect
#.endif

Then I killed/restated pulseaudio and now I have audio input/output from the internal audio device.

Still, the Hardware tab under Sound Preferences is empty, as if there was no audio device available.

Sound Preferences > Hardware > Choose a device to configure: > (empty field)

fab (fab-head) wrote :

Hi Daniel

> Does your user have permission via PolicyKit or otherwise to access @audio?

I checked the following:

Users & Groups > "user name" > Properties > User Privileges > Use audio devices (enabled)

fab (fab-head) wrote :

I've also tried to give explicit authorisation to my user at

System > Administration > Authorisations > device-access > Directly access sound devices

and rebooted. Still no success.

I've now reverted this to its default.

I suggest everyone reporting problems in this bug should try the version of pulseaudio in the ubuntu-audio-dev PPA if you haven't already.

Hi Luke,

I'm actually using the latest version from the Ubuntu Audio Dev team PPA and the issue is still there.

fab (fab-head) wrote :

Luke,

I've just installed the latest pulseaudio update from the Ubuntu Audio Dev team PPA

1:0.9.16~test6-48-g46b9c-0ubuntu1~ubuntuaudiodev1

No luck :-(

What can I do?

Changed in pulseaudio (Ubuntu):
importance: Undecided → Medium
petera (petra-macingova) wrote :

Hi,
I have exactly the same problem as you Fab.
-null output
-empty hardware tab

I have already tried everything recommended to you but it still does not work.
Also would like to know if there is chance of getting sound back after downgrading from karmic back to jaunty because in my case problem started after upgrading on karmic.

fab (fab-head) wrote :

Hi petera,

As Karmic is still under intense development, I believe it is understandable that we might bump into bugs/regressions. The point in using Karmic now is to help test the system and report all bugs here.
The developers will then do their best to fix all the major issues before the final release (Oct 09).
Therefore it won't be of much help if you overwrite/downgrade your Karmic installation at this stage (You always have the option to install Jaunty as you main/production system on a separate partition and keep testing Karmic at the same time).

Regarding the above mentioned issue, I don't know if this could be of any help, but I forgot to mention that pulseaudio 1:0.9.16~test5 ran fine on Karmic. The problem started only with version 1:0.9.16~test6

Have any of you in this bug also tried to delete the .pulse directory and .pulse-cookie in your home directories and reloading pulse?

Yes, I also deleted .pulse and .pulse-cookie then killed and started pulseaudio again with no success.

I'm downloading the latest update from the Ubuntu Audio Dev team PPA right now.
I'll let you know the result in some minutes.

fab (fab-head) wrote :

No luck with pulseaudio - 1:0.9.16~test6-60-g51fc-0ubuntu1

Comment #14 from fab on 29 August allowed me to have sound again, however only one app can have control of the sound output.

Current Installed version: 0.9.16~test6-60-g51fc-0ubuntu1~ubuntuaudiodev1

fab (fab-head) wrote :

pulseaudio - 1:0.9.16~test7-14-g7ca81-0ubuntu1

Tested with the latest test7 - the issue is still there (Null Output)

vladi.boffi (vladi-boffi) wrote :

Me too :

 0 [Intel ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xfebf8000 irq 22

-null output
-empty hardware tab

ciao

fab (fab-head) on 2009-09-04
tags: added: 0.9.16 null output pulseaudio
Download full text (5.0 KiB)

so I deleted pulseaudio and now sound works.
good luck everybody

2009/9/4 fab <email address hidden>

> ** Tags added: 0.9.16 null output pulseaudio
>
> --
> [karmic] pulseaudio: card not found - Null Output
> https://bugs.launchpad.net/bugs/394500
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “pulseaudio” package in Ubuntu: New
>
> Bug description:
> Binary package hint: pulseaudio
>
> Pulseaudio sudenly can't find my sound card.
>
> $ pulseaudio --version
> pulseaudio 0.9.15
>
> $ pulseaudio -vvvv
> D: main.c: Started as real root: no, suid root: yes
> I: main.c: We're in the group 'pulse-rt', allowing high-priority
> scheduling.
> I: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
> I: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
> I: core-util.c: Successfully gained nice level -11.
> D: main.c: Can realtime: yes, can high-priority: yes
> I: main.c: Giving up CAP_NICE
> D: main.c: Can realtime: no, can high-priority: no
> I: main.c: This is PulseAudio 0.9.15
> D: main.c: Compilation host: i486-pc-linux-gnu
> D: main.c: Compilation CFLAGS: -g -O2 -g -Wall -O3 -Wall -W -Wextra -pipe
> -Wno-long-long -Winline -Wvla -Wno-overlength-strings
> -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare
> -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral
> -Wold-style-definition -Wpointer-arith -Winit-self
> -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes
> -Wstrict-prototypes -Wredundant-decls -Wmissing-declarations
> -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing=2
> -Wwrite-strings -Wno-unused-parameter -ffast-math -Wp,-D_FORTIFY_SOURCE=2
> -fno-common -fdiagnostics-show-option
> D: main.c: Running on host: Linux i686 2.6.30-10-generic #12-Ubuntu SMP Mon
> Jun 22 16:30:39 UTC 2009
> D: main.c: Found 4 CPUs.
> I: main.c: Page size is 4096 bytes
> D: main.c: Compiled with Valgrind support: no
> D: main.c: Running in valgrind mode: no
> D: main.c: Optimized build: yes
> D: main.c: All asserts enabled.
> I: main.c: Machine ID is d482d29399558086483340564973600a.
> I: main.c: Session ID is
> d482d29399558086483340564973600a-1246424526.595472-821812929.
> I: main.c: Using runtime directory
> /home/adamk/.pulse/d482d29399558086483340564973600a:runtime.
> I: main.c: Using state directory /home/adamk/.pulse.
> I: main.c: Running in system mode: no
> I: main.c: Fresh high-resolution timers available! Bon appetit!
> D: rtclock.c: Timer slack is set to 50 us.
> D: memblock.c: Using shared memory pool with 1024 slots of size 64,0 KiB
> each, total size is 64,0 MiB, maximum usable slot size is 65496
> I: module.c: Loaded "module-suspend-on-idle" (index: #0; argument: "").
> I: module-device-restore.c: Sucessfully opened database file
> '/home/adamk/.pulse/d482d29399558086483340564973600a:device-volumes.i486-pc-linux-gnu.gdbm'.
> I: module.c: Loaded "module-device-restore" (index: #1; argument: "").
> I: module-stream-restore.c: Sucessfully opened database file
> '/home/adamk/.pulse/d482d29399558086483340564973600a:stream-volumes.i486-pc-linux-gnu.gdbm'.
> I: module.c: Loaded "module-...

Read more...

fab (fab-head) wrote :
Download full text (11.0 KiB)

Petera,

> so I deleted pulseaudio and now sound works.

Well, this is up to you.
But tell me just one thing: why do you bother testing an OS which is still
under development if you are not ready to deal with some (hopefully)
temporary issues/bugs?

If you want a stable system, please stick to Jaunty until the final version
of Karmic is released.

Taken from http://www.ubuntu.com/testing/karmic/alpha5 :

*> This is an alpha release. Do not install it on production machines.
> The final stable version will be released on October 29th, 2009.*

and from http://ubuntuforums.org/forumdisplay.php?f=359

Ubuntu Forums > The Ubuntu Forum Community > Other Community Discussions>
Development & Programming > Karmic Koala Testing and Discussion

*> Ubuntu Karmic Koala is in development, use only for testing purposes!!!*

On Fri, Sep 4, 2009 at 11:11 PM, petera <email address hidden> wrote:

> so I deleted pulseaudio and now sound works.
> good luck everybody
>
> 2009/9/4 fab <email address hidden>
>
> > ** Tags added: 0.9.16 null output pulseaudio
> >
> > --
> > [karmic] pulseaudio: card not found - Null Output
> > https://bugs.launchpad.net/bugs/394500
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in “pulseaudio” package in Ubuntu: New
> >
> > Bug description:
> > Binary package hint: pulseaudio
> >
> > Pulseaudio sudenly can't find my sound card.
> >
> > $ pulseaudio --version
> > pulseaudio 0.9.15
> >
> > $ pulseaudio -vvvv
> > D: main.c: Started as real root: no, suid root: yes
> > I: main.c: We're in the group 'pulse-rt', allowing high-priority
> > scheduling.
> > I: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not
> permitted
> > I: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not
> permitted
> > I: core-util.c: Successfully gained nice level -11.
> > D: main.c: Can realtime: yes, can high-priority: yes
> > I: main.c: Giving up CAP_NICE
> > D: main.c: Can realtime: no, can high-priority: no
> > I: main.c: This is PulseAudio 0.9.15
> > D: main.c: Compilation host: i486-pc-linux-gnu
> > D: main.c: Compilation CFLAGS: -g -O2 -g -Wall -O3 -Wall -W -Wextra -pipe
> > -Wno-long-long -Winline -Wvla -Wno-overlength-strings
> > -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op
> -Wsign-compare
> > -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral
> > -Wold-style-definition -Wpointer-arith -Winit-self
> > -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes
> > -Wstrict-prototypes -Wredundant-decls -Wmissing-declarations
> > -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align
> -Wstrict-aliasing=2
> > -Wwrite-strings -Wno-unused-parameter -ffast-math -Wp,-D_FORTIFY_SOURCE=2
> > -fno-common -fdiagnostics-show-option
> > D: main.c: Running on host: Linux i686 2.6.30-10-generic #12-Ubuntu SMP
> Mon
> > Jun 22 16:30:39 UTC 2009
> > D: main.c: Found 4 CPUs.
> > I: main.c: Page size is 4096 bytes
> > D: main.c: Compiled with Valgrind support: no
> > D: main.c: Running in valgrind mode: no
> > D: main.c: Optimized build: yes
> > D: main.c: All asserts enabled.
> > I: main.c: Machine ID is d482d29399558086483340564973600a.
> > I: main.c: ...

petera (petra-macingova) wrote :
Download full text (16.6 KiB)

I knew karmic is still under development and I am still dealing with few
more issues that do not work right if so but Ive found this bug really
bothering. Thats why.

2009/9/4 fab <email address hidden>

> Petera,
>
> > so I deleted pulseaudio and now sound works.
>
> Well, this is up to you.
> But tell me just one thing: why do you bother testing an OS which is still
> under development if you are not ready to deal with some (hopefully)
> temporary issues/bugs?
>
> If you want a stable system, please stick to Jaunty until the final version
> of Karmic is released.
>
> Taken from http://www.ubuntu.com/testing/karmic/alpha5 :
>
> *> This is an alpha release. Do not install it on production machines.
> > The final stable version will be released on October 29th, 2009.*
>
> and from http://ubuntuforums.org/forumdisplay.php?f=359
>
> Ubuntu Forums > The Ubuntu Forum Community > Other Community Discussions>
> Development & Programming > Karmic Koala Testing and Discussion
>
> *> Ubuntu Karmic Koala is in development, use only for testing
> purposes!!!*
>
>
> On Fri, Sep 4, 2009 at 11:11 PM, petera <email address hidden>
> wrote:
>
> > so I deleted pulseaudio and now sound works.
> > good luck everybody
> >
> > 2009/9/4 fab <email address hidden>
> >
> > > ** Tags added: 0.9.16 null output pulseaudio
> > >
> > > --
> > > [karmic] pulseaudio: card not found - Null Output
> > > https://bugs.launchpad.net/bugs/394500
> > > You received this bug notification because you are a direct subscriber
> > > of the bug.
> > >
> > > Status in “pulseaudio” package in Ubuntu: New
> > >
> > > Bug description:
> > > Binary package hint: pulseaudio
> > >
> > > Pulseaudio sudenly can't find my sound card.
> > >
> > > $ pulseaudio --version
> > > pulseaudio 0.9.15
> > >
> > > $ pulseaudio -vvvv
> > > D: main.c: Started as real root: no, suid root: yes
> > > I: main.c: We're in the group 'pulse-rt', allowing high-priority
> > > scheduling.
> > > I: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not
> > permitted
> > > I: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not
> > permitted
> > > I: core-util.c: Successfully gained nice level -11.
> > > D: main.c: Can realtime: yes, can high-priority: yes
> > > I: main.c: Giving up CAP_NICE
> > > D: main.c: Can realtime: no, can high-priority: no
> > > I: main.c: This is PulseAudio 0.9.15
> > > D: main.c: Compilation host: i486-pc-linux-gnu
> > > D: main.c: Compilation CFLAGS: -g -O2 -g -Wall -O3 -Wall -W -Wextra
> -pipe
> > > -Wno-long-long -Winline -Wvla -Wno-overlength-strings
> > > -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op
> > -Wsign-compare
> > > -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral
> > > -Wold-style-definition -Wpointer-arith -Winit-self
> > > -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes
> > > -Wstrict-prototypes -Wredundant-decls -Wmissing-declarations
> > > -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align
> > -Wstrict-aliasing=2
> > > -Wwrite-strings -Wno-unused-parameter -ffast-math
> -Wp,-D_FORTIFY_SOURCE=2
> > > -fno-common -fdiagnostics-show-option
> > > D: main.c: Running on host: Linux i686 2.6.30-10-generic #12-Ubuntu...

Hi Ubuntu Audio Team,

Is there any news on this bug?

It would be good to have the internal audio device recognised by pulseaudio on this HP laptop (and potentially on many other notebooks out there).
New users will easily be put off by not having any sound out-of-the-box when they install the final version of Karmic.

Just to recap:

- Pulseaudio 1:0.9.16 test6 and test7: the internal audio device on an HP laptop (DV9850EL) is not recognised and therefore pulseaudio doesn't show any input/output audio device = No audio playback/recording
- ALSA seems to work fine
- Previous versions of pulseaudio used to work (up to ver. 1:0.9.16~test5)
- Additional USB audio devices work (tested it with a VoIP phone and an IK Multimedia StealthPlug)

Thanks in advance

PataSenko (patasenko) wrote :

I can state that Asus A7K laptop with alc660-vd is not being recognized. Logitech USB headset is working. I hope this issue will gets fixed soon.
I also tried Kubuntu Karmic A5, but apparently they do not seem to use pulseaudio for audio control, because alc-660vd is eing recognized.

The latest pulseaudio update from the Ubuntu Audio Dev team PPA hasn't solved the issue, but now I have "Dummy Output" instead of "Null Output" under the "Hardware" tab.

summary: - [karmic] pulseaudio: card not found - Null Output
+ [karmic] pulseaudio: card not found - Null Output / Dummy Output

This is a very frustrating problem and I haven't found a fix yet myself. The computer I have is an HP Compaq nc6320.
Here are some details from my setup:
 lspci |grep Audio
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
 aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 6: Si3054 Modem [Si3054 Modem]
  Subdevices: 0/1
  Subdevice #0: subdevice #0

pulseaudio is currently server version 0.9.16 (upgraded from PPA per comment #11 above)
Default Sink: auto_null
Default Source: auto_null.monitor
linked to library version 0.9.16
compiled with library vrsion 0.9.14

System>Preferences>Sound>Hardware> no device shown
System>Preferences>Sound>Output> Dummy Output (Stereo)

I was going to try some settings from #13 above but I don't see that setting... Can you elaborate on "Does your user have permission via PolicyKit or otherwise to access @audio?" My user is an administrator user and all privileges are checked in the User Manager.

The only way I have been able to get sound is by modifying /etc/modprobe.d/alsa-base.conf , adding the text below and then running 'sudo alsa force-reload'
options snd-hda-intel model=AD198x

The above workaround only works between reboots and apparently uses alsa instead of pulseaudio.

Any ideas? I hope this gets fixed by release time because the Intel graphics are working a lot better in the Karmic version and I'd hate to not be able to recommend the upgrade.

Thanks!
Shannon VanWagner

Oh and one more thing... The sound worked on the LiveCD, it's either just after install, or perhaps just after updates after the install that it stopped working.

Hope that helps.

Shannon VanWagner

bitobeos (bitobeos) on 2009-09-12
Changed in pulseaudio (Ubuntu):
status: New → Confirmed
fab (fab-head) wrote :

Hi again,

I've just tested pulseaudio 9.0.17 from Audio Dev team PPA and the issue is still there - Dummy Output

On Sat, Sep 12, 2009 at 6:07 PM, fab <email address hidden> wrote:
> I've just tested pulseaudio 9.0.17 from Audio Dev team PPA and the issue
> is still there - Dummy Output

Please use:

echo autospawn = no|tee -a ~/.pulse/client.conf && killall pulseaudio

pulseaudio -vvvv

Then attach the resulting log file to this bug report.

Download full text (7.5 KiB)

svanwagner@UBUNTU-SCYTHE:~$ pulseaudio -vvvv
I: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
D: core-rtclock.c: Timer slack is set to 50 us.
I: core-util.c: Failed to acquire high-priority scheduling: Input/output error
I: main.c: This is PulseAudio 0.9.17
D: main.c: Compilation host: i486-pc-linux-gnu
D: main.c: Compilation CFLAGS: -g -O2 -g -Wall -O3 -Wall -W -Wextra -pipe -Wno-long-long -Winline -Wvla -Wno-overlength-strings -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wold-style-definition -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing=2 -Wwrite-strings -Wno-unused-parameter -ffast-math -Wp,-D_FORTIFY_SOURCE=2 -fno-common -fdiagnostics-show-option
D: main.c: Running on host: Linux i686 2.6.31-10-generic #32-Ubuntu SMP Thu Sep 10 23:33:50 UTC 2009
D: main.c: Found 2 CPUs.
I: main.c: Page size is 4096 bytes
D: main.c: Compiled with Valgrind support: no
D: main.c: Running in valgrind mode: no
D: main.c: Optimized build: yes
D: main.c: All asserts enabled.
I: main.c: Machine ID is f72b17ef0df6ba8fb775d3d74aa78b6a.
I: main.c: Session ID is f72b17ef0df6ba8fb775d3d74aa78b6a-1252808659.825761-173451688.
I: main.c: Using runtime directory /home/svanwagner/.pulse/f72b17ef0df6ba8fb775d3d74aa78b6a-runtime.
I: main.c: Using state directory /home/svanwagner/.pulse.
I: main.c: Using modules directory /usr/lib/pulse-0.9.17/modules.
I: main.c: Running in system mode: no
I: main.c: Fresh high-resolution timers available! Bon appetit!
I: cpu-x86.c: CPU flags: MMX SSE SSE2 SSE3 SSSE3
I: svolume_mmx.c: Initialising MMX optimized functions.
I: remap_mmx.c: Initialising MMX optimized remappers.
I: svolume_sse.c: Initialising SSE2 optimized functions.
I: remap_sse.c: Initialising SSE2 optimized remappers.
I: sconv_sse.c: Initialising SSE2 optimized conversions.
D: memblock.c: Using shared memory pool with 1024 slots of size 64.0 KiB each, total size is 64.0 MiB, maximum usable slot size is 65496
I: module.c: Loaded "module-suspend-on-idle" (index: #0; argument: "").
D: database-tdb.c: Opened TDB database '/home/svanwagner/.pulse/f72b17ef0df6ba8fb775d3d74aa78b6a-device-volumes.tdb'
I: module-device-restore.c: Sucessfully opened database file '/home/svanwagner/.pulse/f72b17ef0df6ba8fb775d3d74aa78b6a-device-volumes'.
I: module.c: Loaded "module-device-restore" (index: #1; argument: "").
D: database-tdb.c: Opened TDB database '/home/svanwagner/.pulse/f72b17ef0df6ba8fb775d3d74aa78b6a-stream-volumes.tdb'
I: module-stream-restore.c: Sucessfully opened database file '/home/svanwagner/.pulse/f72b17ef0df6ba8fb775d3d74aa78b6a-stream-volumes'.
I: module.c: Loaded "module-stream-restore" (index: #2; argument: "").
D: database-tdb.c: Opened TDB database '/home/svanwagner/.pulse/f72b17ef0df6ba8fb775d3d74aa78b6a-card-database.tdb'
I: module-card-restore.c: Sucessfully opened database file '/home/svanwagner/...

Read more...

On Sat, Sep 12, 2009 at 10:32 PM, Shannon VanWagner
<email address hidden> wrote:
> Not returned to command line... still at a blinking cursor. So I guess
> that's because the command is still running?

Yes, the daemon is still in the foreground.

Here are the relevant debugging bits from the output:
...
D: cli-command.c: Checking for existance of
'/usr/lib/pulse-0.9.17/modules/module-udev-detect.so': success
D: module-udev-detect.c: /dev/snd/controlC0 is accessible: yes
D: module-udev-detect.c: /devices/pci0000:00/0000:00:1b.0/sound/card0
is busy: yes
I: module-udev-detect.c: Found 1 cards.
I: module.c: Loaded "module-udev-detect" (index: #5; argument: "").
...

Apparently some other process is hogging /dev/snd/* or /dev/dsp*. Please use:

sudo fuser -v /dev/dsp* /dev/snd/*

immediately in a Terminal when you are able to reproduce this symptom,
and attach the output to this bug report.

Awesome....thanks for the tip (see output below) - it's the slmodemd process - must be for the 56k modem that's built into this laptop. I remember "enabling" the Hardware Driver for the modem, shortly after installing Karmic... perhaps that's when the sound stopped working for me too. One more question, I now have sound but it's very quiet, even with the volume level set very high. Is there something I can do to fix that? Also, what's the best way go about stopping the slmodemd from loading, or otherwise keeping it from stepping on the pulseaudio?

svanwagner@UBUNTU-SCYTHE:~$ sudo fuser -v /dev/dsp* /dev/snd/*
[sudo] password for svanwagner:
                     USER PID ACCESS COMMAND
/dev/snd/controlC0: Slmodemd 2221 F.... slmodemd
/dev/snd/pcmC0D6c: Slmodemd 2221 F...m slmodemd
/dev/snd/pcmC0D6p: Slmodemd 2221 F...m slmodemd

Thanks!
Shannon VanWagner

Daniel T Chen (crimsun) on 2009-09-13
Changed in pulseaudio (Ubuntu):
importance: Medium → Low
summary: - [karmic] pulseaudio: card not found - Null Output / Dummy Output
+ [Karmic] processes holding /dev/dsp* or /dev/snd/pcm* cause "pulseaudio:
+ card not found - Null Output / Dummy Output"
description: updated
Daniel T Chen (crimsun) on 2009-10-15
Changed in pulseaudio (Ubuntu):
status: Confirmed → Triaged
Changed in pulseaudio (Ubuntu):
status: Triaged → Fix Released
Whoopie (whoopie79) on 2009-10-18
Changed in pulseaudio (Ubuntu):
status: Fix Released → Confirmed
Daniel T Chen (crimsun) on 2009-12-08
Changed in pulseaudio (Ubuntu):
status: Confirmed → Fix Committed
summary: - [Karmic] processes holding /dev/dsp* or /dev/snd/pcm* cause "pulseaudio:
- card not found - Null Output / Dummy Output"
+ [Karmic] softmodem-opened /dev/snd/pcm* cause "pulseaudio: card not
+ found - Null Output / Dummy Output"
42 comments hidden view all 122 comments
cement_head (andor-udel) wrote :

Hi Daniel,

  Are these packages currently located at: https://launchpad.net/~ubuntu-audio-dev/+archive/ppa ?

  If so, should I give them a try? How (install new packages and then try to install my modem)?

Thanks,
CH

Download full text (5.4 KiB)

Instructions for adding the PPA are on that web page. Yes, please add the
PPA, update, dist-upgrade, reinstall the modem package, etc.

On Dec 9, 2009 7:21 AM, "cement_head" <email address hidden> wrote:

Hi Daniel,

 Are these packages currently located at: https://launchpad.net
/~ubuntu-audio-dev/+archive/ppa ?

 If so, should I give them a try? How (install new packages and then
try to install my modem)?

Thanks,
CH

--
[Karmic] softmodem-opened /dev/snd/pcm* cause "pulseaudio: card not found -
Null Output / Dummy Output"
https://bugs.launchpad.net/bugs/394500
You received this bug notification because you are a member of Ubuntu
Audio Team, which is subscribed to pulseaudio in ubuntu.

Status in “pulseaudio” package in Ubuntu: Fix Committed

Bug description:
Binary package hint: pulseaudio

Pulseaudio can't find working alsa sound cards on bootup.
"alsa force-reload" after login remedies the problems until next reboot.
Comments 40,41,42 propose a workaround - disabling sl-modem.

Old summary:

Pulseaudio sudenly can't find my sound card.

$ pulseaudio --version
pulseaudio 0.9.15

$ pulseaudio -vvvv
D: main.c: Started as real root: no, suid root: yes
I: main.c: We're in the group 'pulse-rt', allowing high-priority scheduling.
I: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
I: core-util.c: Successfully gained nice level -11.
D: main.c: Can realtime: yes, can high-priority: yes
I: main.c: Giving up CAP_NICE
D: main.c: Can realtime: no, can high-priority: no
I: main.c: This is PulseAudio 0.9.15
D: main.c: Compilation host: i486-pc-linux-gnu
D: main.c: Compilation CFLAGS: -g -O2 -g -Wall -O3 -Wall -W -Wextra -pipe
-Wno-long-long -Winline -Wvla -Wno-overlength-strings
-Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare
-Wformat-security -Wmissing-include-dirs -Wformat-nonliteral
-Wold-style-definition -Wpointer-arith -Winit-self
-Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes
-Wstrict-prototypes -Wredundant-decls -Wmissing-declarations
-Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing=2
-Wwrite-strings -Wno-unused-parameter -ffast-math -Wp,-D_FORTIFY_SOURCE=2
-fno-common -fdiagnostics-show-option
D: main.c: Running on host: Linux i686 2.6.30-10-generic #12-Ubuntu SMP Mon
Jun 22 16:30:39 UTC 2009
D: main.c: Found 4 CPUs.
I: main.c: Page size is 4096 bytes
D: main.c: Compiled with Valgrind support: no
D: main.c: Running in valgrind mode: no
D: main.c: Optimized build: yes
D: main.c: All asserts enabled.
I: main.c: Machine ID is d482d29399558086483340564973600a.
I: main.c: Session ID is
d482d29399558086483340564973600a-1246424526.595472-821812929.
I: main.c: Using runtime directory
/home/adamk/.pulse/d482d29399558086483340564973600a:runtime.
I: main.c: Using state directory /home/adamk/.pulse.
I: main.c: Running in system mode: no
I: main.c: Fresh high-resolution timers available! Bon appetit!
D: rtclock.c: Timer slack is set to 50 us.
D: memblock.c: Using shared memory pool with 1024 slots of size 64,0 KiB
each, total size is 64,0 MiB, maximum usable slot size is 65496
I: module.c: L...

Read more...

cement_head (andor-udel) wrote :

Hello,

Updated pulseaudio packages from PPA. Downloaded modem installer from LINUXANT and installed LINUXANT modem ALSA driver and LINUXANT HSF Conexant modem driver.

This time, no errors on the install (progress); but NO SOUND! The installation of the LINUANT packages kills the sound. Under System>Sound, there are no audio devices present.

Had to remove the LINUANT packages (via Synaptic) and rebuild the ALSA modules from source to restore sound.

sudo m-a update
sudo m-a prepare
sudo m-a a-i alsa
sudo modprobe snd-intel8x0m
sudo modprobe snd-hda-intel

- CH

Daniel T Chen (crimsun) wrote :

Hmm, that means the Linuxant packages are doing something different
with respect to the devices.

So, with the Linuxant softmodem driver installed and active, please
attach the listings from:

ls -R /proc/asound /sys/class/sound

cement_head (andor-udel) wrote :

Here's the entire install log as an attachment.

cement_head (andor-udel) wrote :

$ ls -R /proc/asound /sys/class/sound
ls -R /proc/asound /sys/class/sound
ls: cannot access /proc/asound: No such file or directory
ls: cannot access /sys/class/sound: No such file or directory

Daniel T Chen (crimsun) wrote :

On Wed, Dec 9, 2009 at 1:02 PM, cement_head <email address hidden> wrote:
> $ ls -R /proc/asound /sys/class/sound
> ls -R /proc/asound /sys/class/sound
> ls: cannot access /proc/asound: No such file or directory
> ls: cannot access /sys/class/sound: No such file or directory

Hmm, that's problematic, because it means that your [ALSA] sound
driver isn't loaded...

Daniel T Chen (crimsun) wrote :

On Wed, Dec 9, 2009 at 1:36 PM, Daniel Chen <email address hidden> wrote:
> Hmm, that's problematic, because it means that your [ALSA] sound
> driver isn't loaded...

Indeed, upon inspecting your lsmod output, none of the ALSA drivers
for your sound card are loaded. Have you rebooted?

cement_head (andor-udel) wrote :

yes, the sound works immediately after install - but after reboot, no sound.

Daniel T Chen (crimsun) wrote :

I'm not sure what you mean by "install" above. Do you mean a fresh install
of Karmic, the Linuxant modem driver, of alsa-driver (manually), or some
combination?

I'm trying to see which ALSA device is created by the Linuxant driver so
that PulseAudio can be modified as necessary.

On Dec 11, 2009 7:51 AM, "cement_head" <email address hidden> wrote:

yes, the sound works immediately after install - but after reboot, no
sound.

-- [Karmic] softmodem-opened /dev/snd/pcm* cause "pulseaudio: card not found
- Null Output / Dummy...

cement_head (andor-udel) wrote :

Install: The installation of the LINUXANT drivers by using their automated installer, which is free.

http://www.linuxant.com/drivers/hsf/downloads-installer.php

- CH

Daniel T Chen (crimsun) wrote :

So upon reinstalling the drivers, please attach the output from:

ls -R /proc/asound /sys/class/sound

cement_head (andor-udel) wrote :

After reinstalling the ALSA drivers, here's the output:

$ ls -R /proc/asound /sys/class/sound
/proc/asound:
card0 cards devices hwdep Intel modules oss pcm seq timers version

/proc/asound/card0:
codec#0 codec#1 id oss_mixer pcm0c pcm0p

/proc/asound/card0/pcm0c:
info oss sub0

/proc/asound/card0/pcm0c/sub0:
hw_params info prealloc prealloc_max status sw_params

/proc/asound/card0/pcm0p:
info oss sub0

/proc/asound/card0/pcm0p/sub0:
hw_params info prealloc prealloc_max status sw_params

/proc/asound/oss:
devices sndstat

/proc/asound/seq:
clients drivers oss queues timer

/sys/class/sound:
audio controlC0 hwC0D0 mixer pcmC0D0p sequencer timer
card0 dsp hwC0D1 pcmC0D0c seq sequencer2

Daniel T Chen (crimsun) wrote :

On Fri, Dec 11, 2009 at 12:31 PM, cement_head <email address hidden> wrote:
> /sys/class/sound:
> audio  controlC0  hwC0D0  mixer     pcmC0D0p  sequencer   timer
> card0  dsp        hwC0D1  pcmC0D0c  seq       sequencer2

Each of /sys/class/sound/pcmC0D0p and /sys/class/sound/pcmC0D0c should
have a pcm_class file inside. What are the contents of each?

e.g., cat /sys/class/sound/pcmC0D0*/pcm_class

cement_head (andor-udel) wrote :

They both have a pcm_class file that both contain one word:

generic

Daniel T Chen (crimsun) wrote :

So hsfmodem works completely differently (not surprising, I suppose).
If you start it now, does the softmodem work as intended?

It looks like the workaround for pulseaudio will only work for slmodemd, sadly.

cement_head (andor-udel) wrote :

Don't know - didn't try, and its not currently installed. WIll try and then post back.

- CH

Whoopie (whoopie79) wrote :

Just for the record, I use hsfmodem with the pulseaudio patch! And it works fine.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.21-0ubuntu2

---------------
pulseaudio (1:0.9.21-0ubuntu2) lucid; urgency=low

  * Fix LP: #394500, #450222:
    + 0070-dont-bail-on-sound-class-modem-devs.patch:
      + Add pa_udev_get_sysattr() helper function so that we can
        retrieve pcm_class.
      + Add short-circuit in is_card_busy(). Currently there is an
        incorrect break out of the loop when an HDA modem is driven by
        slmodemd/hsfmodem. An HDA modem resides in device 6 and will
        not contain "closed\n" for
        /proc/asound/card.../pcm.../sub.../status.
  * 0058-Backport-4c793.patch: Use pa_stream pointers to hashmaps
    instead of dynarrays.
  * 0059-Backport-978d3.patch: Mark shared variables as volatile
    to supress compiler optimizations.
 -- Daniel T Chen <email address hidden> Sun, 06 Dec 2009 19:40:04 -0500

Changed in pulseaudio (Ubuntu):
status: Fix Committed → Fix Released
cement_head (andor-udel) wrote :

Hi Whoopie,

  What hsfmodem driver are you using, the one from LINUXANT, how did you install your driver. This is a fairly new install of Karmic, and I've got the 1:.0.9.21 packages installed.

Thanks,
CH

cement_head (andor-udel) wrote :

Nope, for me this is not a solution at all, neither sound, nor modem works.

sudo alsa force-reload

doesn't work either.

- CH

Daniel T Chen (crimsun) wrote :

On Sun, Dec 13, 2009 at 8:01 AM, cement_head <email address hidden> wrote:
> sudo alsa force-reload
>
> doesn't work either.

If that command doesn't work, you're looking at a driver issue not a pulse one.

jss (jsantossilva) wrote :

I'm running Karmic fully updated; updated pulseaudio forcing lucid 0.9.21 by apt-get on terminal.

At first the bug seemed to persist; then I launched GUI system update and some libs seemed
to not have been updated; after updating, devices show up correctly and everything seems to
work, except:

- On every boot, sound is always muted on the output device, set to default
- Volume is at 3%

So, being a newbie to Linux, long time experienced with MS, I ask:
Does this belong here, is this another bug or is any config I should change?
Thanks,
jss

cement_head (andor-udel) wrote :

Well, according to LINUXANT technical support. Their driver works on Karmic Koala. I'm inclined to agree with them as I was JUST using Interpid Ibex and the LINUXANT driver and my modem worked on this same machine. I then did a fresh install of Karmic Koala and now this same modem (same LINUXANT driver) DOES NOT work.

I tried to file a bug with PULSEAUDIO ( Ticket # 746 ) but it was abruptly closed and declared a duplicate - which I thought was silly and rude, because there was no explanation as to why it was deemed a duplicate.

Isn't it somewhat pointless to file bug reports if they get marked as a duplicate and closed if they not resolved?

cement_head (andor-udel) wrote :

Okay.

I installed the LINUXANT packages again and noticed a weird install error:

Building modules for kernel 2.6.31-17-generic, using source directory
/lib/modules/2.6.31-17-generic/build. Please wait...
grep: /lib/modules/2.6.31-17-generic/updates/alsa/pci/hda/snd-hda-codec-conexant.ko: No such file or directory
done.

Warning: no device detected by hsf driver - HDA modems may require reboot

Note: kernel module snd-via82xx-modem overridden by hsfmc97via
Note: kernel module snd-intel8x0m overridden by hsfmc97ich hsfmc97sis
Note: kernel module snd-atiixp-modem overridden by hsfmc97ati

-------------------------------------------------

I then rebooted and then reinstalled the alsa-linuxant and the HSF modem driver; I had to manually download and install the HSF driver from Linuxant and it all works!!!

So, for some reason, the HSF modem driver barfs on the first install and doesn't find the snd-hda-codec-conexant.ko module. My guess is that it gets installed, but no symlinks. The second install (reinstall) finds the module and appropriately symlinks?

In any case, for me, the ubuntu PPA pulse audio updates fixes the modem bug for the HSF modems on an HP6910p running the proprietary LINUXANT modem driver package.

Thanks to WHOOPIES and Daniel Chen for all your help!

Cheers,
CH

vervelover (alessiopangos) wrote :

Why does it say fix released? It's not solved for me in Karmic with all updates.

Daniel T Chen (crimsun) wrote :

On Fri, Jan 8, 2010 at 10:08 AM, vervelover wrote:
> Why does it say fix released? It's not solved for me in Karmic with all
> updates.

The default task tracks the development version, Lucid. Use the
ubuntu-audio-dev PPA if you want a Karmic version.

cement_head (andor-udel) wrote :

Vervelover, try adding this repo: https://launchpad.net/~ubuntu-audio-dev/+archive/ppa

sudo apt-get update
sudo apt-get upgrade

reboot

reinstall your modem drivers if necessary

reboot

jss (jsantossilva) wrote :

My PA has been peacefully coexisting with slmodemd since my post #105 above.

Today, the upgrade just popped-up on my upgrade manager and, after installation, the bug showed-up again on my system: PA can't coexist with slmodemd again. So, for me, it is un-fixed instead of fixed.

~$ pulseaudio --version
pulseaudio 0.9.21-341-g62bf
~$ sudo fuser -v /dev/dsp* /dev/snd/* /dev/seq*
                     USER PID ACCESS COMMAND
/dev/snd/controlC0: Slmodemd 1342 F.... slmodemd
/dev/snd/pcmC0D6c: Slmodemd 1342 F...m slmodemd
/dev/snd/pcmC0D6p: Slmodemd 1342 F...m slmodemd
~$ sudo alsa force-reload
~$ sudo fuser -v /dev/dsp* /dev/snd/* /dev/seq*
~$ killall pulseaudio
pulseaudio: no process found
~$ pulseaudio -D
~$ sudo fuser -v /dev/dsp* /dev/snd/* /dev/seq*
                     USER PID ACCESS COMMAND
/dev/snd/controlC0: jss 3887 F.... pulseaudio

If I stop slmodemd from starting at boot, everything is normal.

I had to post this twice because, the first time, I clicked "Post Comment" and it just kept "Saving...". So, if this results on double-posting, please understand.
jss

Daniel T Chen (crimsun) wrote :

Sorry, this issue [in Lucid] is due to a dumb thinko on my part: I
used the wrong orig.tar.gz. I'm fixing this now...

Daniel T Chen (crimsun) wrote :

A fixed version (using the correct orig.tar.gz generated from the
desired branch, nonetheless!) has been uploaded to Lucid.

jss (jsantossilva) wrote :

Everything OK now, thank you.

~$ sudo fuser -v /dev/dsp* /dev/snd/* /dev/seq*
                     USER PID ACCESS COMMAND
/dev/snd/controlC0: Slmodemd 1220 F.... slmodemd
                     jss 2112 F.... pulseaudio
/dev/snd/pcmC0D6c: Slmodemd 1220 F...m slmodemd
/dev/snd/pcmC0D6p: Slmodemd 1220 F...m slmodemd

jss

cement_head (andor-udel) wrote :

Where can post a Bug against the Ubuntu Pulse-Audio PPA team's packages for the always muted situation on reboot/login?

@cement_head, that's one of the same problems I'm having on another machine... per this bug:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/442748

The other problem is that the sound is very fragile... I can easily break the sound into "static crunchiness" by hitting backspace in the terminal 3 times while any sounds (e.g., music) are playing from another application.

I can reset the sound by turning the hardware off and back on from the gnome-volume-control on the panel, but this is a very tedious workaround because it takes about 8 clicks to go through the process, sometimes more - if I have to minimize something that's full screen first.

I'd be really happy to be able to: a.) find the place(config file or whatever) where I can change the default sound setting from mute to mid-level on login, and b.) have some batch-script or macro-like way to turn the sound hardware off and then back on, with one-click, or keystroke.

Don't take me wrong, I'm absolutely not complaining about this wonderful and FREE operating system... these are just humble requests... nothing more.

regards,
Shannon VanWagner

cement_head (andor-udel) wrote :

Thanks! I've also posted to the 442748 bug. For me, this appears only AFTER installing the Ubuntu Audio Dev's PPA pulseaudio packages to solve the HSF modem issues.

Daniel T Chen (crimsun) wrote :

I haven't synced the PPA's package with Lucid's yet, so that symptom
will still appear.

On Fri, Jan 22, 2010 at 10:58 AM, cement_head wrote:
> Thanks!  I've also posted to the 442748 bug.  For me, this appears only
> AFTER installing the Ubuntu Audio Dev's PPA pulseaudio packages to solve
> the HSF modem issues.

vaughn (vaughngrisham) wrote :

This problem persists in Lucid Lynx with my System76 Pangolin Panp4n laptop. There is some conflict between the package modemmanager and pulseaudio that causes pulseaudio to lose the sound hardware. It replaces it with "dummy" and will not produce sound unless I uninstall modemmanager. As Lucid is supposed to be the bug killer release, this one would be a nice one to dispose of. I'd like to be able to fax things on occasion using my modem, and as it is, the modem is unuseable without sacrificing sound.

Daniel T Chen (crimsun) wrote :

On Thu, Mar 18, 2010 at 9:49 AM, vaughn <email address hidden> wrote:
> This problem persists in Lucid Lynx with my System76 Pangolin Panp4n
> laptop. There is some conflict between the package modemmanager and
> pulseaudio that causes pulseaudio to lose the sound hardware. It

Please file a new bug instead of splattering on this one. Be sure to
include the output from sudo fuser -v /dev/dsp* /dev/snd/* /dev/seq*

Barry Matthias (bazzauk2002) wrote :

This is also present in 11.10 and now in 12.04

Daniel Letzeisen (dtl131) wrote :

Barry, please file a new bug as Daniel Chen instructed in the previous comment. This one has already been marked Fix Released. Thanks.

Displaying first 40 and last 40 comments. View all 122 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.